Difference between revisions of "Common problems"

From Gramps
Jump to: navigation, search
m (Gramps)
 
(6 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
{{languages}}
 
{{languages}}
;GRAMPS gives strange errors after new install or upgrade
 
Many problems reported with GRAMPS turn out to be the consequence of installing a new version of GRAMPS "on top" of an older installed version (this is particularly important when installing from source). Such an install can lead to problems both in Windows and Linux. If you have done that and are experiencing problems, it might help uninstalling and installing again.
 
  
;GRAMPS provides only .gv output format on GraphViz based reports
+
;Gramps gives strange errors after new install or upgrade
You have GraphViz package installed but you cannot use all availables output formats into GRAMPS' report based on GraphViz. Maybe your GraphViz package ignored some dependancies, which could be useful, like :
+
Many problems reported with Gramps turn out to be the consequence of installing a new version of Gramps "on top" of an older installed version (this is particularly important when installing from source). Such an install can lead to problems both in Windows and Linux. If you have done that and are experiencing problems, it might help uninstalling and installing again.
* [http://sourceforge.net/projects/lasi/ LASi]
+
 
* [http://gts.sourceforge.net/ GTS]
+
;Gramps only properly generates .gv output format on GraphViz based reports
* [http://openil.sourceforge.net/ DevIL]
+
You have <u>GraphViz package installed</u> but you cannot use all available output formats for Gramps' reports based on GraphViz, because generated files are missing or not very nice. Using the [http://www.graphviz.org/Download.php last available GraphViz package] for your distribution may often fix some issues. Also, PDF (GraphViz) or PostScript issues could be related to your [http://cairographics.org/ cairo library] (or python-cairo).
  
 
[[Category:Troubleshooting]]
 
[[Category:Troubleshooting]]

Latest revision as of 21:07, 21 January 2013

Gramps gives strange errors after new install or upgrade

Many problems reported with Gramps turn out to be the consequence of installing a new version of Gramps "on top" of an older installed version (this is particularly important when installing from source). Such an install can lead to problems both in Windows and Linux. If you have done that and are experiencing problems, it might help uninstalling and installing again.

Gramps only properly generates .gv output format on GraphViz based reports

You have GraphViz package installed but you cannot use all available output formats for Gramps' reports based on GraphViz, because generated files are missing or not very nice. Using the last available GraphViz package for your distribution may often fix some issues. Also, PDF (GraphViz) or PostScript issues could be related to your cairo library (or python-cairo).